@font-face {
    font-family: 'SukhumvitSet';
    src: url('../font/SukhumvitSet-Thin.woff2') format('woff2');
    font-weight: 100;
    font-style: normal;
}

@font-face {
    font-family: 'SukhumvitSet';
    src: url('../font/SukhumvitSet-Light.woff2') format('woff2');
    font-weight: 300;
    font-style: normal;
}

@font-face {
    font-family: 'SukhumvitSet';
    src: url('../font/SukhumvitSet-Text.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
}

@font-face {
    font-family: 'SukhumvitSet';
    src: url('../font/SukhumvitSet-Medium.woff2') format('woff2');
    font-weight: 500;
    font-style: normal;
}

@font-face {
    font-family: 'SukhumvitSet';
    src: url('../font/SukhumvitSet-SemiBold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
}

@font-face {
    font-family: 'SukhumvitSet';
    src: url('../font/SukhumvitSet-Bold.woff2') format('woff2');
    font-weight: 700;
    font-style: normal;
}

.water-link {
    position: relative;
    display: inline-block;
    overflow: hidden;
    line-height: 0;
}

.water-link img {
    display: block;
    max-width: 100%;
    height: auto;
}

/* กรอบ effect เฉพาะพื้นที่ปุ่มจริง */
.water-sweep {
    position: absolute;
    top: 10%;
    left: 8%;
    width: 84%;
    height: 78%;
    overflow: hidden;
    pointer-events: none;
    z-index: 2;
    border-radius: 2.5rem;
}

/* แสงวิ่ง */
.water-sweep::before {
    content: "";
    position: absolute;
    top: 0;
    left: -25%;
    width: 18%;
    height: 100%;
    background: linear-gradient(115deg,
            rgba(255, 255, 255, 0) 0%,
            rgba(255, 255, 255, 0.10) 30%,
            rgba(255, 255, 255, 0.42) 50%,
            rgba(255, 255, 255, 0.10) 70%,
            rgba(255, 255, 255, 0) 100%);
    transform: skewX(-20deg);
    animation: innerSweep 2.8s linear infinite;
}

@keyframes innerSweep {
    0% {
        left: -25%;
    }

    100% {
        left: 110%;
    }
}


